Run::Parts::Debian(3pm)

NAME
Run::Parts::Debian - Perl interface to Debian's run-parts tool

VERSION
version 0.09

SYNOPSIS
Perl interface to Debian's run-parts(8) tool. run-parts(8) runs all the executable files named within constraints described below, found in the given directory. Other files and directories are silently ignored.

Additionally it can just print the names of the all matching files (not limited to executables, but ignores blacklisted files like e.g. backup files), but don't actually run them.

This is useful when functionality or configuration is split over multiple files in one directory.

This module is not thought to be used directly and its interface may change. See Run::Parts for a stable user interface.

METHODS

  new (Constructor)
Creates a new Run::Parts object. Takes one parameter, the directory on which run-parts should work.

  run_parts_command
Returns the run-parts(8) command to run with the given command parameter

SEE ALSO
Run::Parts, run-parts(8)

BUGS
Please report any bugs or feature requests to "bug-run-parts at rt.cpan.org", or through the web interface at <http://rt.cpan.org/NoAuth/ReportBug.html?Queue=Run-Parts>. I will be notified, and then you'll automatically be notified of progress on your bug as I make changes.

AUTHOR
Axel Beckert <abe@deuxchevaux.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2015 by Axel Beckert.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.